package com.gic.haoban.manage.api.enums;

public enum QwOpenStepEnum {

    step1(1, "用户已扫码"),
    step2(2,"取消登录"),
    step3(3,"超时未扫码") ,
    step4(4,"验证码正确") ;

    QwOpenStepEnum(Integer step, String desc){
        this.step = step;
        this.desc = desc;
    }

    private int step;
    private String desc;

    public int getStep() {
        return step;
    }

    public void setStep(int step) {
        this.step = step;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static boolean isFail(int step) {
        return step == step2.getStep() || step == step3.getStep() ;
    }
}
